JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
DirectoryEntry Class Referencefinal
juce_core » files

Describes the attributes of a file or folder. More...

`#include <juce_RangedDirectoryIterator.h>`

## Public Member Functions
File | getFile () const
| The path to a file or folder.
Time | getModificationTime () const
| The time at which the item was last modified.
Time | getCreationTime () const
| The time at which the item was created.
int64 | getFileSize () const
| The size of the item.
bool | isDirectory () const
| True if the item is a directory, false otherwise.
bool | isHidden () const
| True if the item is hidden, false otherwise.
bool | isReadOnly () const
| True if the item is read-only, false otherwise.
float | getEstimatedProgress () const
| The estimated proportion of the range that has been visited by the iterator, from 0.0 to 1.0.

## Detailed Description

Describes the attributes of a file or folder.

## Member Function Documentation

## ◆ getFile()

File DirectoryEntry::getFile | ( |  | ) | const

The path to a file or folder.

## ◆ getModificationTime()

Time DirectoryEntry::getModificationTime | ( |  | ) | const

The time at which the item was last modified.

## ◆ getCreationTime()

Time DirectoryEntry::getCreationTime | ( |  | ) | const

The time at which the item was created.

## ◆ getFileSize()

int64 DirectoryEntry::getFileSize | ( |  | ) | const

The size of the item.

## ◆ isDirectory()

bool DirectoryEntry::isDirectory | ( |  | ) | const

True if the item is a directory, false otherwise.

## ◆ isHidden()

bool DirectoryEntry::isHidden | ( |  | ) | const

True if the item is hidden, false otherwise.

## ◆ isReadOnly()

bool DirectoryEntry::isReadOnly | ( |  | ) | const

True if the item is read-only, false otherwise.

## ◆ getEstimatedProgress()

float DirectoryEntry::getEstimatedProgress | ( |  | ) | const

The estimated proportion of the range that has been visited by the iterator, from 0.0 to 1.0.

The documentation for this class was generated from the following file:

- juce_RangedDirectoryIterator.h